Package ru.bitel.bgbilling.plugins.edo.common.bean

# Class ContragentInfos

java.lang.Object
ru.bitel.bgbilling.plugins.edo.common.bean.ContragentInfos

public class ContragentInfos extends Object
Инфа после поиска контрагента, набор идентификаторов итд. По сути инкапсулирует "место назначения" и конкретного получателя эдо документа.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContragentInfos.ContragentInfo`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `address`
  `String`
  `f`
  `String`
  `i`
  `List<ContragentInfos.ContragentInfo>`
  `ids`
  `String`
  `inn`
  `String`
  `kpp`
  `String`
  `o`
  `String`
  `snils`
  `String`
  `title`
  `String`
  `titleFull`
  `ContragentType`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContragentInfos()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContragentInfos`
  `fromJson(String info)`
  десериализация объекта из строки-жсон, из БД например
  `String`
  `toJson()`
  сериализация объекта в строку-жсон для БД
  `String`
  `toString()`
  `String`
  `toStringFull()`
  `String`
  `toStringFullId()`
  Инфа вместе с выбранным ид для отображения в гуе

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### address

    public String address

  - ### type

    public ContragentType type

  - ### title

    public String title

  - ### titleFull

    public String titleFull

  - ### inn

    public String inn

  - ### kpp

    public String kpp

  - ### snils

    public String snils

  - ### f

    public String f

  - ### i

    public String i

  - ### o

    public String o

  - ### ids

    public List<ContragentInfos.ContragentInfo> ids

- ## Constructor Details

  - ### ContragentInfos

    public ContragentInfos()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toStringFull

    public String toStringFull()

  - ### toStringFullId

    public String toStringFullId()
    Инфа вместе с выбранным ид для отображения в гуе

  - ### fromJson

    public static ContragentInfos fromJson(String info) throws ru.bitel.bgbilling.common.BGException
    десериализация объекта из строки-жсон, из БД например
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### toJson

    public String toJson()
    сериализация объекта в строку-жсон для БД